%global momorel 2
%global qtdir /usr/lib/qt3
%global qtver 3.2.3
%global kdedir /usr
%global kdever 3.2.3
%global ftpdirver %{kdever}
%global sourcedir stable/%{ftpdirver}/src

Name: kdevelop
Summary: Integrated Development Environment for C++/C
Version: 3.0.4
Release: %{momorel}m
#%%NoSource 0 ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 c4a84b34927e6f1c7fb2bfb9a74b5b34
# mirror site in Japan.
%NoSource 0 ftp://ftp.kde.gr.jp/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 c4a84b34927e6f1c7fb2bfb9a74b5b34
%NoSource 1 ftp://129.187.206.68/pub/unix/ide/KDevelop/c_cpp_reference-2.0.2_for_KDE_3.0.tar.bz2 5777e4d2dbfc3e6c2ba9f0ed6ea457f9
Patch1: c_cpp_reference-2.0.2-config.patch
Patch3: kdevelop-2.1.5_for_KDE_3.1-doc.patch
Patch100: http://www.kde.gr.jp/patch/kdevelop-2.0.2-font-i18n-20011127.diff
URL: http://www.kdevelop.org/
Group: Development/Tools
BuildRoot: %{_tmppath}/%{name}-%{version}-root
License: GPL
Requires: qt >= %{qtver}, qt-devel >= %{qtver}, kdelibs >= %{kdever}, kdelibs-devel >= %{kdever}, kdebase >= %{kdever}, make, perl >= 5.8.1, autoconf >= 2.52
Requires: autoconf >= 2.58, automake >= 1.5-8k, flex >= 2.5.4, kdbg
BuildPreReq: qt >= %{qtver}, qt-devel >= %{qtver}, kdelibs >= %{kdever}, kdelibs-devel >= %{kdever}, kdebase >= %{kdever}, autoconf >= 2.58, automake, libtool, libpng >= 1.2.0, arts-devel, db4-devel
ExcludeArch: ia64

%description
The KDevelop Integrated Development Environment provides many features
that developers need as well as providing a unified interface to programs
like gdb, the C/C++ compiler, and make. KDevelop manages or provides:

All development tools needed for C++ programming like Compiler,
Linker, automake and autoconf; KAppWizard, which generates complete,
ready-to-go sample applications; Classgenerator, for creating new
classes and integrating them into the current project; File management
for sources, headers, documentation etc. to be included in the
project; The creation of User-Handbooks written with SGML and the
automatic generation of HTML-output with the KDE look and feel;
Automatic HTML-based API-documentation for your project's classes with
cross-references to the used libraries; Internationalization support
for your application, allowing translators to easily add their target
language to a project;

KDevelop also includes WYSIWYG (What you see is what you get)-creation
of user interfaces with a built-in dialog editor; Debugging your
application by integrating KDbg; Editing of project-specific pixmaps
with KIconEdit; The inclusion of any other program you need for
development by adding it to the "Tools"-menu according to your
individual needs.

%prep
#'
rm -rf %{buildroot}

%setup -q -n %{name}-%{version} -a 1
%patch1 -p0 -b .config
%patch3 -p1 -b .doc

%build
export QTDIR=%{qtdir}
export KDEDIR=%{kdedir}
export FLAGS="%{optflags} -DNDEBUG -DNO_DEBUG"

make -f admin/Makefile.common cvs

CXXFLAGS="$FLAGS" CFLAGS="$FLAGS" \
./configure --prefix=$KDEDIR --sysconfdir=%{_sysconfdir} \
  --with-qtdoc-dir=$QTDIR/doc/html \
  --disable-closure \
  --disable-debug \
  --enable-mt \
  --enable-final

make

pushd c_cpp_reference-2.0.2_for_KDE_3.0
test -f Makefile.cvs && make -f Makefile.cvs
%configure
%make
popd

%install
rm -rf %{buildroot}

make DESTDIR=%{buildroot} install

pushd c_cpp_reference-2.0.2_for_KDE_3.0
%makeinstall
popd

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/*
%{_datadir}/apps/*
%{_includedir}/*
%config %{_datadir}/config/*
%{_datadir}/mimelnk/application/*
%{_datadir}/mimelnk/text/*
%{_datadir}/services/*
%{_datadir}/servicetypes/*
%{_datadir}/applnk/Development/*
%{_datadir}/icons/*/*/*/*
%doc %{_datadir}/doc/HTML/en/*

%changelog
* Tue Jun 29 2004 Kazuhiko <kazuhiko@fdiary.net>
- (3.0.4-2m)
- rebuild against db4.2

* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.0.4-1m)
- KDE 3.2.3
- Bugfix Release
 
* Sat Apr 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.0.3-1m)
- KDE 3.2.3

* Sat Mar 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.0.2-1m)
- KDE 3.2.1 Release

* Thu Feb 19 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.0.1-1m)
- update to 3.0.1

* Wed Feb 18 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.0.0-1m)
- delete Obsoletes: kdevelop 
- delete Provides: kdevelop 

* Sat Feb 14 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.0.0-1m)
- KDevelop 3.0.0 (aka Gideon) with KDE 3.2.0
- change URL and name of Source1
- import following patches from Fedora
- - Patch1: c_cpp_reference-2.0.2-config.patch
- - Patch3: kdevelop-2.1.5_for_KDE_3.1-doc.patch
- remove Patch100: kdevelop-2.0.2-font-i18n-20011127.diff (not appliable)
- make -f Makefile.cvs in %%build

* Sat Jan 10 2004 kourin <kourin@fh.freeserve.ne.jp>
- (2.1.5-5m)
- rebuild against for qt-3.2.3

* Sat Nov 8 2003 kourin <kourin@fh.freeserve.ne.jp>
- (2.1.5-4m)
- rebuild against for qt-3.2.3

* Mon May 26 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.1.5-3m)
- for kde-3.1.2

* Thu Apr 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.5-2m)
- remove requires: qt-Xt
                                                                                
* Fri Mar 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.1.5-1m)
- update to 2.1.5
- update c_cpp_reference to 2.0.2

* Sat Mar 08 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.4-2m)
- rebuild against for XFree86-4.3.0

* Sun Jan 12 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (2.1.4-1m)
- ver up.

* Fri Oct 11 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (2.1.3-2m)
- rebuild against kde-3.0.4.

* Mon Aug 19 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (2.1.3-1m)
- ver up.

* Wed Jul 17 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (2.1.2-2m)
- rebuild against qt-3.0.5.

* Sun Jul 14 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (2.1.2-1m)
- ver up.

* Sun Jun  9 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (2.1.1-2k)
- ver up.

* Fri Apr  5 2002 Tsutomu Yasuda <tom@kondara.org>
- (2.1-2k)
  update to 2.1 release

* Thu Mar 21 2002 Toru Hoshina <t@kondara.org>
- (2.1-0.0003002k)
- based on 2.1rc3.

* Thu Feb 21 2002 Shingo Akagaki <dora@kondara.org>
- (2.0.2-8k)
- perl 5.6.1

* Wed Feb 20 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>    
- (2.0.2-6k)                      
- add BuildPreReq: autoconf >= 2.52-8k, automake >= 1.5-8k

* Wed Jan  9 2002 Shingo Akagaki <dora@kondara.org>
- (2.0.2-4k)
- automake autoconf 1.5

* Tue Nov 27 2001 Toru Hoshina <t@kondara.org>
- (2.0.2-2k)
- version up.

* Tue Oct 30 2001 Toru Hoshina <t@kondara.org>
- (2.0.1-6k)
- revised spec file.

* Tue Oct 16 2001 Toru Hoshina <t@kondara.org>
- (2.0.1-4k)
- rebuild against libpng 1.2.0.

* Thu Oct  4 2001 Toru Hoshina <t@kondara.org>
- (2.0.1-2k)
- version up.

* Thu Aug 23 2001 Toru Hoshina <toru@df-usa.com>
- (2.0-2k)
- stable release.
- fix version no ;-p

* Sat Aug 11 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0003002k)
- based on 2.2beta1, but...

* Fri Jun  1 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0002004k)
- based on 2.2alpha2.

* Sat May 19 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0001004k)
- avoid conflicting /usr/bin/extractrc.

* Sat May 12 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0001002k)

* Sat Apr 14 2001 Toru Hoshina <toru@df-usa.com>
- (2.1-0.0001010k)
- rebuild against openssl 0.9.6.

* Fri Mar 16 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.1-0.0001006k)
- rebuild against QT-2.3.0.

* Sat Jan 13 2001 Kenichi Matsubara <m@kondara.org>
- [2.1-0.0001004k]
- backport 2.1-0.0001005k(Jirai).

* Wed Jan 10 2001 Kenichi Matsubara <m@kondara.org>
- [2.1-0.0001002k]
- update 2.1beta1.

* Sat Jan 06 2001 Kenichi Matsubara <m@kondara.org>
- [2.1-0.0001003k]
- update 2.1beta1.

* Thu Dec 14 2000 Kenichi Matsubara <m@kondara.org>
- [2.0-0.020001214003k]
- update new snapshot version.
- use build qt-2.2.3.

* Sat Dec 09 2000 Kenichi Matsubara <m@kondara.org>
- [2.0-0.020001209003k]
- update to new snapshot version.

* Tue Nov 21 2000 Kenichi Matsubara <m@kondara.org>
- [2.0-0.4k]
- rebuild against new environment glibc-2.2 egcs++

* Fri Nov 17 2000 Toru Hoshina <toru@df-usa.com>
- [2.0-0.3k]
- rebuild against qt 2.2.2.

* Fri Oct 27 2000 Toru Hoshina <toru@df-usa.com>
- snapshot release.

* Sun Aug 13 2000 Than Ngo <than@redhat.com>
- fix kdelibsdoc-dir to show kdelibs-1.1.2 html docu correct

* Tue Aug 01 2000 Than Ngo <than@redhat.de>
- add missing ldconfig in %post and %postun section (Bug #14924)
- add missing C references stuff to kdevelop

* Sun Jul 30 2000 Than Ngo <than@redhat.de>
- rebuilt against compat-egcs-c++, put KDE1 under /usr
- cleanup specfile

* Tue Jul 25 2000 Than Ngo <than@redhat.de>
- fix dependency problem

* Wed Jul 19 2000 Than Ngo <than@redhat.de>
- rebuilt against compat-libstdc++

* Mon Jul 17 2000 Than Ngo <than@redhat.de>
- install under /usr/share instead /usr/lib/kde1-compat/share,
  fix dependency problem

* Sat Jul 15 2000 Than Ngo <than@redhat.de>
- rebuilt with egcs-c++-1.1.2

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul 03 2000 Than Ngo <than@redhat.de>
- fix docdir
- add requires kdebase

* Sun Jul 02 2000 Than Ngo <than@redhat.de>
- rebuilt with  kde1-compat

* Sun Jun 18 2000 Than Ngo <than@redhat.de>
- rebuilt in the new build environment, fix docdir
- FHS packaging

* Thu Jun 08 2000 Than Ngo <than@redhat.de>
- update to 1.2
- move from powertools to main CD
- use %%configure

* Mon Apr 3 2000 Ngo Than <than@redhat.de>
- fix up reference (Bug #10368)

* Tue Feb 15 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Fix up documentation path (Bug #7291)
- Update to current stable branch - this should fix up the debugger problem
- clean up spec file

* Fri Jan  6 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Update to current stable branch
- Adapt to 6.2 Qt libraries
- Use BuildPrereq

* Wed Jan 05 2000 Ngo Than <than@redhat.de>
- added patch for alpha

* Tue Dec 21 1999 Ngo Than <than@redhat.de>
- updated kdevelop-1.0 release

* Tue Nov 16 1999 Preston Brown <pbrown@redhat.com>
- kdevelop 1.0beta4.1, docdir added, using DESTDIR env. variable.

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- initial packaging for 6.1.
